Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XML.XSAXBuilder

    java.lang.Object
      org.jdom.input.SAXBuilder
          ix.util.xml.XML.XSAXBuilder

Enclosing class:
  XML

    public static class XML.XSAXBuilder

extends org.jdom.input.SAXBuilder

A minor variation on the JDOM SAXBuilder class.

Constructor Summary
`XML.XSAXBuilder()`
`XML.XSAXBuilder(boolean validate)`
`XML.XSAXBuilder(java.lang.String saxDriverClass)`
`XML.XSAXBuilder(java.lang.String saxDriverClass, boolean validate)`

Method Summary
`protected org.xml.sax.XMLReader` | `createParser()`

Methods inherited from class org.jdom.input.SAXBuilder
`build, build, build, build, build, build, build, build, configureContentHandler, configureParser, createContentHandler, getDriverClass, getDTDHandler, getEntityResolver, getErrorHandler, getExpandEntities, getFactory, getIgnoringElementContentWhitespace, getReuseParser, getValidation, getXMLFilter, setDTDHandler, setEntityResolver, setErrorHandler, setExpandEntities, setFactory, setFeature, setIgnoringElementContentWhitespace, setProperty, setReuseParser, setValidation, setXMLFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML.XSAXBuilder

    public XML.XSAXBuilder()

### XML.XSAXBuilder

    public XML.XSAXBuilder(boolean validate)

### XML.XSAXBuilder

    public XML.XSAXBuilder(java.lang.String saxDriverClass)

### XML.XSAXBuilder

    public XML.XSAXBuilder(java.lang.String saxDriverClass,
                           boolean validate)

Method Detail

### createParser

    protected org.xml.sax.XMLReader createParser()
                                          throws org.jdom.JDOMException

  Overrides:
    `createParser` in class `org.jdom.input.SAXBuilder`
  Throws:
    `org.jdom.JDOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD